Bug Hunting Session
Bug 38768 - Jobs in Extension (as enabled by XJob-interface) are not fired any more
Summary: Jobs in Extension (as enabled by XJob-interface) are not fired any more
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:3.4.2
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-29 03:41 UTC by andre.pietsch
Modified: 2011-07-29 05:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Netbeans 6.9 project and OXT (34.80 KB, application/zip)
2011-06-29 03:41 UTC, andre.pietsch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andre.pietsch 2011-06-29 03:41:11 UTC
Created attachment 48547 [details]
Netbeans 6.9 project and OXT

See the attached extension project.

In OOo 3.30 the execute method is called, in LibO3.4 it is not.

No error occurrs, just no call to XJob::execute.
Comment 1 Oliver Brinzing 2011-07-01 10:08:29 UTC
.
Comment 2 Christian Lohmaier 2011-07-21 06:54:00 UTC
fixed on master as well as 3-4 branch. Fix will be available in LO 3.4.3
http://cgit.freedesktop.org/libreoffice/libs-core/commit/?h=libreoffice-3-4&id=eecd2e5aef2b1fd9db05d49911b3d9e0c35efed0
Comment 3 Thomas Foerster 2011-07-21 08:05:40 UTC
In OO3.3.0 -> Tools -> Customize -> Events a macro could be assigned to "Activate Document".

In LO 3.4.1 this doesn't work. In both versions doesn't work an assigned macro in "Print Document" and may be other events.

Try this i.e.:

Sub HelloWorld
  msgbox "Hello World!"
End Sub
Comment 4 Thomas Foerster 2011-07-21 08:34:19 UTC
The same behaviour like in OO3.3.0 now again in the nightly build of the master branch (LibO-dev 3.5):

http://dev-builds.libreoffice.org/daily/Provo_Windows_x86_Tinderbox/master/current/

In this master build "Activate Document" is fixed (works again like in OO3.3.0), but not "Print Document" and may be other events!
Comment 5 Petr Mladek 2011-07-25 10:43:22 UTC
We needed 3.4.2-rc3, so we add the fix from the comment 2 also to the 3-4-2 branch.
Comment 6 Thorsten Behrens (CIB) 2011-07-29 01:27:34 UTC
(In reply to comment #4)
> The same behaviour like in OO3.3.0 now again in the nightly build of the master
> branch (LibO-dev 3.5):
> 
> http://dev-builds.libreoffice.org/daily/Provo_Windows_x86_Tinderbox/master/current/
> 
> In this master build "Activate Document" is fixed (works again like in
> OO3.3.0), but not "Print Document" and may be other events!
>
Thomas, please file a different report for your problem. This bug here is fixed for both 3.4.2 and master.
Comment 7 Thomas Foerster 2011-07-29 04:56:04 UTC
In 3.4.2 RC3 it is not fixed at all:

Macro now works again with "Activate Document" (Tools -> Customize -> Events) - but could NOT be REMOVED! Even after saving and reloading the event is still there.

Macro DOES NOT work with "Print Document"!

Please look also:
https://bugs.freedesktop.org/show_bug.cgi?id=39449
Comment 8 Thorsten Behrens (CIB) 2011-07-29 05:18:50 UTC
(In reply to comment #7)
> In 3.4.2 RC3 it is not fixed at all:
> 
> Macro now works again with "Activate Document" (Tools -> Customize -> Events) -
> but could NOT be REMOVED! Even after saving and reloading the event is still
> there.
> 
> Macro DOES NOT work with "Print Document"!
> 
> Please look also:
> https://bugs.freedesktop.org/show_bug.cgi?id=39449
>
Thomas, this bug as originally reported, and manifest with the sample extension, *IS* fixed for 3.4.2. If the bug still happens for you, with the extension attached here, please reopen. If not, it's a different bug (like the bug 39449 you referenced), and further discussion should happen over there.